# Class TCEFDragAndDropMgr

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFDragAndDropMgr

## Declaration

`type TCEFDragAndDropMgr = class(TOLEDragAndDropMgr)`

## Description

This item has no description.

## Hierarchy

- TObject
- TOLEDragAndDropMgr
- TCEFDragAndDropMgr

## Overview

### Fields

| `FCurrentDragData: ICefDragData;`
| `FOLEEffect: integer;`
| `FMozURLFormat: cardinal;`
| `FHTMLFormat: cardinal;`
| `FFileDescFormat: cardinal;`
| `FFileContentsFormat: cardinal;`
| `FOnDragEnter: TDragEnterEvent;`
| `FOnDragOver: TDragOverEvent;`
| `FOnDragLeave: TNotifyEvent;`
| `FOnDrop: TDropEvent;`

### Methods

| `function DragDataToDataObject_Unicode(const aDragData : ICefDragData; var aFormat : TFormatEtc; var aMedium : TStgMedium) : boolean;`
| `function DragDataToDataObject_Text(const aDragData : ICefDragData; var aFormat : TFormatEtc; var aMedium : TStgMedium) : boolean;`
| `function DragDataToDataObject_HTML(const aDragData : ICefDragData; var aFormat : TFormatEtc; var aMedium : TStgMedium) : boolean;`
| `function DragDataToDataObject_URL(const aDragData : ICefDragData; var aFormat : TFormatEtc; var aMedium : TStgMedium) : boolean;`
| `function DragDataToDataObject_FileDesc(const aDragData : ICefDragData; var aFormat : TFormatEtc; var aMedium : TStgMedium) : boolean;`
| `function DragDataToDataObject_FileContents(const aDragData : ICefDragData; var aFormat : TFormatEtc; var aMedium : TStgMedium) : boolean;`
| `procedure DataObjectToDragData(const aDataObject : IDataObject; var aDragData : ICefDragData);`
| `function DataObjectToDragData_Unicode(var aMedium : TStgMedium; var aDragData : ICefDragData) : boolean;`
| `function DataObjectToDragData_Text(var aMedium : TStgMedium; var aDragData : ICefDragData) : boolean;`
| `function DataObjectToDragData_URL(var aMedium : TStgMedium; var aDragData : ICefDragData) : boolean;`
| `function DataObjectToDragData_HTML(var aMedium : TStgMedium; var aDragData : ICefDragData) : boolean;`
| `function DataObjectToDragData_FileDrop(var aMedium : TStgMedium; var aDragData : ICefDragData) : boolean;`
| `function HtmlToCFHtml(var aHTML, aBaseURL : ustring) : AnsiString;`
| `procedure CFHtmlToHtml(const cf_html : AnsiString; var html, base_url : string);`
| `function ZeroFiller(aNumber, aLength : integer) : AnsiString;`
| `function FindStringField(const aString, aFieldName : AnsiString; var aPos : integer) : string;`
| `constructor Create;`
| `destructor Destroy; override;`
| `function StartDragging: TCefDragOperation;`
| `function CloneDragData(const aDragData : ICefDragData; aAllowedOps : TCefDragOperations) : boolean;`
| `function DragEnter(const DataObj: IDataObject; grfKeyState: Longint; pt: TPoint; var dwEffect: Longint): HRESULT; override;`
| `function DragOver(grfKeyState: Longint; pt: TPoint; var dwEffect: Longint): HRESULT; override;`
| `function DragLeave: HRESULT; override;`
| `function Drop(const dataObj: IDataObject; grfKeyState: Longint; pt: TPoint; var dwEffect: Longint): HRESULT; override;`

### Properties

| `property OnDragEnter : TDragEnterEvent read FOnDragEnter write FOnDragEnter;`
| `property OnDragOver : TDragOverEvent read FOnDragOver write FOnDragOver;`
| `property OnDragLeave : TNotifyEvent read FOnDragLeave write FOnDragLeave;`
| `property OnDrop : TDropEvent read FOnDrop write FOnDrop;`

## Description

### Fields

| `FCurrentDragData: ICefDragData;`
This item has no description.

| `FOLEEffect: integer;`
This item has no description.

| `FMozURLFormat: cardinal;`
This item has no description.

| `FHTMLFormat: cardinal;`
This item has no description.

| `FFileDescFormat: cardinal;`
This item has no description.

| `FFileContentsFormat: cardinal;`
This item has no description.

| `FOnDragEnter: TDragEnterEvent;`
This item has no description.

| `FOnDragOver: TDragOverEvent;`
This item has no description.

| `FOnDragLeave: TNotifyEvent;`
This item has no description.

| `FOnDrop: TDropEvent;`
This item has no description.

### Methods

| `function DragDataToDataObject_Unicode(const aDragData : ICefDragData; var aFormat : TFormatEtc; var aMedium : TStgMedium) : boolean;`
This item has no description.

| `function DragDataToDataObject_Text(const aDragData : ICefDragData; var aFormat : TFormatEtc; var aMedium : TStgMedium) : boolean;`
This item has no description.

| `function DragDataToDataObject_HTML(const aDragData : ICefDragData; var aFormat : TFormatEtc; var aMedium : TStgMedium) : boolean;`
This item has no description.

| `function DragDataToDataObject_URL(const aDragData : ICefDragData; var aFormat : TFormatEtc; var aMedium : TStgMedium) : boolean;`
This item has no description.

| `function DragDataToDataObject_FileDesc(const aDragData : ICefDragData; var aFormat : TFormatEtc; var aMedium : TStgMedium) : boolean;`
This item has no description.

| `function DragDataToDataObject_FileContents(const aDragData : ICefDragData; var aFormat : TFormatEtc; var aMedium : TStgMedium) : boolean;`
This item has no description.

| `procedure DataObjectToDragData(const aDataObject : IDataObject; var aDragData : ICefDragData);`
This item has no description.

| `function DataObjectToDragData_Unicode(var aMedium : TStgMedium; var aDragData : ICefDragData) : boolean;`
This item has no description.

| `function DataObjectToDragData_Text(var aMedium : TStgMedium; var aDragData : ICefDragData) : boolean;`
This item has no description.

| `function DataObjectToDragData_URL(var aMedium : TStgMedium; var aDragData : ICefDragData) : boolean;`
This item has no description.

| `function DataObjectToDragData_HTML(var aMedium : TStgMedium; var aDragData : ICefDragData) : boolean;`
This item has no description.

| `function DataObjectToDragData_FileDrop(var aMedium : TStgMedium; var aDragData : ICefDragData) : boolean;`
This item has no description.

| `function HtmlToCFHtml(var aHTML, aBaseURL : ustring) : AnsiString;`
This item has no description.

| `procedure CFHtmlToHtml(const cf_html : AnsiString; var html, base_url : string);`
This item has no description.

| `function ZeroFiller(aNumber, aLength : integer) : AnsiString;`
This item has no description.

| `function FindStringField(const aString, aFieldName : AnsiString; var aPos : integer) : string;`
This item has no description.

| `constructor Create;`
This item has no description.

| `destructor Destroy; override;`
This item has no description.

| `function StartDragging: TCefDragOperation;`
This item has no description.

| `function CloneDragData(const aDragData : ICefDragData; aAllowedOps : TCefDragOperations) : boolean;`
This item has no description.

| `function DragEnter(const DataObj: IDataObject; grfKeyState: Longint; pt: TPoint; var dwEffect: Longint): HRESULT; override;`
This item has no description.

| `function DragOver(grfKeyState: Longint; pt: TPoint; var dwEffect: Longint): HRESULT; override;`
This item has no description.

| `function DragLeave: HRESULT; override;`
This item has no description.

| `function Drop(const dataObj: IDataObject; grfKeyState: Longint; pt: TPoint; var dwEffect: Longint): HRESULT; override;`
This item has no description.

### Properties

| `property OnDragEnter : TDragEnterEvent read FOnDragEnter write FOnDragEnter;`
This item has no description.

| `property OnDragOver : TDragOverEvent read FOnDragOver write FOnDragOver;`
This item has no description.

| `property OnDragLeave : TNotifyEvent read FOnDragLeave write FOnDragLeave;`
This item has no description.

| `property OnDrop : TDropEvent read FOnDrop write FOnDrop;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.